## Update container tag settings

### JavaScript

```javascript
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    entityContext: 'This project contains research papers about machine learning.',
    memoryFilesystemPaths: ['/memory/', '/user.md']
  })
};

fetch('https://api.supermemory.ai/v3/container-tags/{containerTag}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Response Codes

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **404**: Not Found

### Sample Response

```json
{
  "containerTag": "sm_project_default",
  "entityContext": "This project contains research papers about machine learning.",
  "memoryFilesystemPaths": [
    "/memory/",
    "/user.md"
  ],
  "updatedAt": "<string>"
}
```

### Authorizations

- **Authorization**: Required header in the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

- **containerTag**: Required string identifier for the container tag.

### Request Body

- **entityContext**: Custom context prompt for this container tag (max 1500 characters).
- **memoryFilesystemPaths**: Array of strings that trigger memory generation for documents.

### Example Body

```json
{
  "entityContext": "This project contains research papers about machine learning.",
  "memoryFilesystemPaths": [
    "/memory/",
    "/user.md"
  ]
}
```

### Response Structure

- **containerTag**: Required, string identifier (max length 100).
- **entityContext**: Required, string context prompt.
- **memoryFilesystemPaths**: Required, array of strings for filesystem paths.
- **updatedAt**: Required, last update timestamp.
